Create a submission to a form Run in API Explorer
Ask AI
POST
/api/v1/form/{form_uuid}/submission
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"account_uuid": "cbbdb09c-0ad0-4b89-9974-4b1bf8050a4e"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuid": "cbbdb09c-0ad0-4b89-9974-4b1bf8050a4e"
}
Response examples (200)
{
"uuid": "96eae139-aaf2-4a32-ab60-df5772f9f819",
"created_at": "2026-10-19T22:30:47+01:00",
"updated_at": "2026-10-19T22:30:47+01:00",
"stage": "draft",
"account": {
"uuid": "7da02e50-75e0-41e8-8e0a-c1a6ff6519ec",
"created_at": "2026-10-19T22:30:47+01:00",
"updated_at": "2026-10-19T22:30:47+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b12987c3-4e5d-446b-815e-d4642bedcebc",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "54d48972-2a77-44cc-8000-bb7f5ee29033",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "54d48972-2a77-44cc-8000-bb7f5ee29033",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "27666bf6-cdf3-40f4-9eda-6c4c0c53ee25",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-19T21:40:53+01:00",
"end_date": "2026-10-19T22:08:53+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "c5d38c6e-3ace-4a1a-8a2c-de30d06afadd",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-19T22:30:53+01:00",
"next_review_date": "2026-10-19T22:30:53+01:00",
"previous_review_date": "2026-10-19T22:30:53+01:00",
"anniversary_review_date": "2026-10-19T22:30:53+01:00",
"terms_of_business_at": "2026-10-19T22:30:53+01:00",
"client_agreement_at": "2026-10-19T22:30:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-19",
"last_interaction_at": "2026-10-19 22:30:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-19T22:30:53+01:00",
"out_of_office_until": "2026-10-19T22:30:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "c5d38c6e-3ace-4a1a-8a2c-de30d06afadd",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-19T22:30:53+01:00",
"next_review_date": "2026-10-19T22:30:53+01:00",
"previous_review_date": "2026-10-19T22:30:53+01:00",
"anniversary_review_date": "2026-10-19T22:30:53+01:00",
"terms_of_business_at": "2026-10-19T22:30:53+01:00",
"client_agreement_at": "2026-10-19T22:30:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-19",
"last_interaction_at": "2026-10-19 22:30:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-19T22:30:53+01:00",
"out_of_office_until": "2026-10-19T22:30:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "c5d38c6e-3ace-4a1a-8a2c-de30d06afadd",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-19T22:30:53+01:00",
"next_review_date": "2026-10-19T22:30:53+01:00",
"previous_review_date": "2026-10-19T22:30:53+01:00",
"anniversary_review_date": "2026-10-19T22:30:53+01:00",
"terms_of_business_at": "2026-10-19T22:30:53+01:00",
"client_agreement_at": "2026-10-19T22:30:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-19",
"last_interaction_at": "2026-10-19 22:30:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-19T22:30:53+01:00",
"out_of_office_until": "2026-10-19T22:30:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "c5d38c6e-3ace-4a1a-8a2c-de30d06afadd",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-19T22:30:53+01:00",
"next_review_date": "2026-10-19T22:30:53+01:00",
"previous_review_date": "2026-10-19T22:30:53+01:00",
"anniversary_review_date": "2026-10-19T22:30:53+01:00",
"terms_of_business_at": "2026-10-19T22:30:53+01:00",
"client_agreement_at": "2026-10-19T22:30:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-19",
"last_interaction_at": "2026-10-19 22:30:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-19T22:30:53+01:00",
"out_of_office_until": "2026-10-19T22:30:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "2d0a4622-b521-453a-9b66-18fb7770d532",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00"
},
"tags": {
"uuid": "32896f43-b2ff-43ea-87c7-82ed521052b1",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "c5d38c6e-3ace-4a1a-8a2c-de30d06afadd",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-19T22:30:53+01:00",
"next_review_date": "2026-10-19T22:30:53+01:00",
"previous_review_date": "2026-10-19T22:30:53+01:00",
"anniversary_review_date": "2026-10-19T22:30:53+01:00",
"terms_of_business_at": "2026-10-19T22:30:53+01:00",
"client_agreement_at": "2026-10-19T22:30:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-19",
"last_interaction_at": "2026-10-19 22:30:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-19T22:30:53+01:00",
"out_of_office_until": "2026-10-19T22:30:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-10-19T22:30:47+01:00",
"next_review_date": "2026-10-19T22:30:47+01:00",
"previous_review_date": "2026-10-19T22:30:47+01:00",
"anniversary_review_date": "2026-10-19T22:30:47+01:00",
"terms_of_business_at": "2026-10-19T22:30:47+01:00",
"client_agreement_at": "2026-10-19T22:30:47+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "f950a028-9e37-491a-ae0a-aa67db03b69d",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-19T22:30:53+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "848c0738-f265-4ac5-a198-7183060d1704",
"login_access_level": "write",
"current_life_stage_uuid": "f403fe46-8639-4c90-bb73-fe463d9e4db9"
},
"circles": {
"uuid": "f950a028-9e37-491a-ae0a-aa67db03b69d",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-19T22:30:53+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "848c0738-f265-4ac5-a198-7183060d1704",
"login_access_level": "write",
"current_life_stage_uuid": "f403fe46-8639-4c90-bb73-fe463d9e4db9"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-19",
"last_interaction_at": "2026-10-19 22:30:47",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-19T22:30:47+01:00",
"out_of_office_until": "2026-10-19T22:30:47+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "0ba006f4-4d49-4a40-9976-b5fd530cd94e",
"name": "Gold",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "b7c6de5a-9d06-4ca8-a078-10dbc88409d5",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"request": {
"uuid": "7b8f9201-b95e-4be0-80a1-f6be7c0080b5",
"created_at": "2026-10-19T22:30:47+01:00",
"updated_at": "2026-10-19T22:30:47+01:00",
"description": "Please submit your annual survey form",
"form": {
"uuid": "9140f85a-aa0f-4711-9bf9-b9829879cffc",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"has_submission": true,
"submission": {
"uuid": "2c80facc-ad8c-467c-897a-52cf9b8bf2fd",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"stage": "draft",
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
}
},
"form": {
"uuid": "5b14abfa-cfdc-446e-a937-6f1d66a2ad98",
"created_at": "2026-10-19T22:30:47+01:00",
"updated_at": "2026-10-19T22:30:47+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "1c62c481-686a-4532-92a0-7fe4fa3d57a2",
"created_at": "2026-10-19T22:30:53+01:00",
"updated_at": "2026-10-19T22:30:53+01:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}